Subject: Re: bug#62662: 30.0.50; gnus-treat-fold-headers overrides (hides) display of face, x-face, etc.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Apr 2023 15:32:30 +0300

> From: Adam Sjøgren <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked]
> Date: Tue, 04 Apr 2023 14:08:49 +0200
> 
> Eli writes:
> 
> >> Since gnus-treat-fold-headers was set to default to 'head in commit
> >> 3bc0768e9b8 the display of Face, X-Face, and other images in the headers
> >> has stopped working.
> >> 
> >> With gnus-treat-fold-headers default value, 'head, no images:
> >> 
> >> setting it to nil, the images appear as expected:
> >
> > That commit just changed the default.  No code was changed in that
> > commit except the default value of the option.  If you don't like the
> > default, you can always customize the value back to nil.
> >
> > So I'm not sure I see a bug here.
> 
> You are arguing that setting gnus-treat-fold-headers should
> affect/override the setting of gnus-treat-display-face and
> gnus-treat-display-x-face.
> 
> Surely turning of the folding of headers should not negate the effects
> of turning on the display of images?
> 
> These should be completely independent settings as far as I can see.

That's fine, but then yours is not a bug report, it's a request for
enhancement.  AFAIU, if you'd customized gnus-treat-fold-headers to
the value 'head' before commit 3bc0768e9b8, you'd see the same effect:
the images on the headers would not be displayed.  Is that right?